import { ConfigurationEntity } from '../../domain/configuration.entity';
import {
  ConfigurationIdentifier,
  ConfigurationValue,
} from '../../domain/configuration.types';

export interface ConfigurationRepositoryPort {
  get(identifier: ConfigurationIdentifier): Promise<ConfigurationEntity>;
  set(
    identifier: ConfigurationIdentifier,
    value: ConfigurationValue,
  ): Promise<void>;
}
